Index: src/webapp/components/inlineEdit/inlineEditDependencies.json
===================================================================
--- src/webapp/components/inlineEdit/inlineEditDependencies.json	(revision 8863)
+++ src/webapp/components/inlineEdit/inlineEditDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"inlineEdit": {
   	"name": "Inline Edit",
-   	"description": "Allows a user to do quick edits to simple text directly on a web page. ",
+   	"description": "Edit text without changing context.",
     "cssFiles": "InlineEdit.css",
 	"files": ["InlineEdit.js", "InlineEditIntegrations.js"],
 	"dependencies": ["jQuery", "jQueryUICore", "jQueryTooltipPlugin", "framework", "undo"]
Index: src/webapp/components/progress/progressDependencies.json
===================================================================
--- src/webapp/components/progress/progressDependencies.json	(revision 8863)
+++ src/webapp/components/progress/progressDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"progress": {
    	"name": "Progress",
-   	"description": "A linear progress display.",
+   	"description": "Show duration of long-running tasks with a linear progress indicator.",
 	"files": "Progress.js",
 	"dependencies": ["jQuery", "jQueryUICore", "framework"]
 }}
Index: src/webapp/components/undo/undoDependencies.json
===================================================================
--- src/webapp/components/undo/undoDependencies.json	(revision 8863)
+++ src/webapp/components/undo/undoDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"undo": {
   	"name": "Undo",
-	"description": "Provides undo support for any component that bears a model.",
+	"description": "Step-back for model-based interactions.",
 	"files": "Undo.js",
 	"dependencies": ["jQuery", "framework"]
 }}
Index: src/webapp/components/reorderer/reordererDependencies.json
===================================================================
--- src/webapp/components/reorderer/reordererDependencies.json	(revision 8863)
+++ src/webapp/components/reorderer/reordererDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"reorderer": {
    	"name": "Reorderer",
-   	"description": "enables users to directly re-arrange content on the page.",
+   	"description": "Reposition content using drag and drop with the mouse or the keyboard.",
   	"cssFiles": ["Reorderer.css", "ImageReorderer.css"],
 	"files": ["GeometricManager.js", "Reorderer.js", "ImageReorderer.js", "ModuleLayout.js", "LayoutReorderer.js"],
 	"dependencies": ["jQuery", "jQueryUICore", "jQueryUIWidgets", "framework", "json"]
Index: src/webapp/components/uiOptions/uiOptionsDependencies.json
===================================================================
--- src/webapp/components/uiOptions/uiOptionsDependencies.json	(revision 8863)
+++ src/webapp/components/uiOptions/uiOptionsDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"uiOptions": {
   	"name": "User Interface Options",
-   	"description": "Transforms the presentation of the user interface and content resources so that they are personalized to an individual user's needs.",
+   	"description": "Users customize their preferences and needs for viewing content.",
    	"cssFiles": ["UIOptions.css", "Slider.css", "UIOptionsPreview.css"],
 	"files": ["UIEnhancer.js", "UIOptions.js"],
 	"dependencies": ["fss", "jQuery", "jQueryUICore", "framework", "renderer", "jQueryUIWidgets", "jQueryDelegatePlugin", "tableOfContents", "json"]
Index: src/webapp/components/tableOfContents/tableOfContentsDependencies.json
===================================================================
--- src/webapp/components/tableOfContents/tableOfContentsDependencies.json	(revision 8863)
+++ src/webapp/components/tableOfContents/tableOfContentsDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"tableOfContents": {
    "name": "Table of Contents",
-   "description": "Constructs and displays a formatted list of links to all headers in a document.",
+   "description": "Present an automatic table of contents from any HTML page.",
    "files": "TableOfContents.js",
    "dependencies": ["jQuery", "framework", "renderer"]
 }}
Index: src/webapp/components/uploader/uploaderDependencies.json
===================================================================
--- src/webapp/components/uploader/uploaderDependencies.json	(revision 8863)
+++ src/webapp/components/uploader/uploaderDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"uploader": {
  	"name": "Uploader",
-   	"description": "Allows users to upload files.",
+   	"description": "Upload single files, batches of files, and large files while visually indicating duration.",
    	"cssFiles": "Uploader.css",
 	"files": ["DemoUploadManager.js", "FileQueue.js", "Scroller.js", "SWFUploadManager.js", "Uploader.js"],
 	"dependencies": ["fssReset", "fssLayout", "jQuery", "jQueryUICore", "framework", "swfobject", "swfupload", "progress"]
Index: src/webapp/components/pager/pagerDependencies.json
===================================================================
--- src/webapp/components/pager/pagerDependencies.json	(revision 8863)
+++ src/webapp/components/pager/pagerDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"pager": {
    	"name": "Pager",
-   	"description": "Allows users to break up long lists of items into separate pages.",
+   	"description": "Sort and organize large amounts of data.",
    	"cssFiles": "Pager.css",
 	"files": "Pager.js",
 	"dependencies": ["jQuery", "jQueryTooltipPlugin", "jQuerybgiframePlugin", "framework", "renderer"]
Index: src/webapp/lib/jquery/plugins/delegate/jQueryDelegatePluginDependencies.json
===================================================================
--- src/webapp/lib/jquery/plugins/delegate/jQueryDelegatePluginDependencies.json	(revision 8863)
+++ src/webapp/lib/jquery/plugins/delegate/jQueryDelegatePluginDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"jQueryDelegatePlugin": {
     "name": "jQuery Delegate Plugin",
-    "description": "Used to simulate portable bubbling focus event",
+    "description": "Used to simulate portable, bubbling focus events across all browsers.",
   "files": ["jquery.delegate.js"],
   "dependencies": ["jQuery"]
 }}
Index: src/webapp/lib/jquery/plugins/tooltip/jQueryTooltipPluginDependencies.json
===================================================================
--- src/webapp/lib/jquery/plugins/tooltip/jQueryTooltipPluginDependencies.json	(revision 8863)
+++ src/webapp/lib/jquery/plugins/tooltip/jQueryTooltipPluginDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"jQueryTooltipPlugin": {
    	"name": "jQuery Tooltip Plugin",
-   	"description": "Allows tooltip customization.",
+   	"description": "A DHTML tooltip plugin for jQuery, providing a range of customizable hover effects.",
    	"cssFiles": "jquery.tooltip.css",
 	"files": ["jquery.tooltip.js"],
 	"dependencies": ["jQuery", "jQueryUICore"]
Index: src/webapp/lib/jquery/core/jQueryDependencies.json
===================================================================
--- src/webapp/lib/jquery/core/jQueryDependencies.json	(revision 8863)
+++ src/webapp/lib/jquery/core/jQueryDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"jQuery": {
    	"name": "jQuery",
-   	"description": "jQuery javascript library core.",
+   	"description": "The jQuery core JavaScript library, used as the foundation for Infusion.",
 	"files": "jquery.js"
 }}
Index: src/webapp/lib/jquery/ui/jQueryUIWidgetsDependencies.json
===================================================================
--- src/webapp/lib/jquery/ui/jQueryUIWidgetsDependencies.json	(revision 8863)
+++ src/webapp/lib/jquery/ui/jQueryUIWidgetsDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"jQueryUIWidgets": {
    	"name": "jQuery UI Widgets",
-   	"description": "Full-featured jQuery UI Controls - each has a range of options and is fully themeable.",
+   	"description": "A collection of the jQuery UI widgets used by Infusion, including Dialog, Draggable, Accordion, and Slider.",
 	"files": ["ui.dialog.js", "ui.draggable.js", "ui.accordion.js", "ui.slider.js"],
 	"dependencies": ["jQuery", "jQueryUICore"]
 }}
Index: src/webapp/lib/swfupload/swfuploadDependencies.json
===================================================================
--- src/webapp/lib/swfupload/swfuploadDependencies.json	(revision 8863)
+++ src/webapp/lib/swfupload/swfuploadDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"swfupload": {
    	"name": "SWFUpload",
-   	"description": "SWFUpload is a small JavaScript/Flash library featuring the great upload capabilities of Flash and the accessibility and ease of HTML/CSS.",
+   	"description": "A Flash and JavaScript library used by the Infusion Uploader to enable multiple file uploads.",
 	"files": "swfupload.js"
 }}
Index: src/webapp/lib/swfobject/swfobjectDependencies.json
===================================================================
--- src/webapp/lib/swfobject/swfobjectDependencies.json	(revision 8863)
+++ src/webapp/lib/swfobject/swfobjectDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"swfobject": {
    	"name": "swfobject",
-   	"description": "Embed Flash content into html.",
+   	"description": "A JavaScript utility used to embed Flash content into HTML pages.",
 	"files": "swfobject.js"
 }}
Index: src/webapp/lib/json/jsonDependencies.json
===================================================================
--- src/webapp/lib/json/jsonDependencies.json	(revision 8863)
+++ src/webapp/lib/json/jsonDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"json": {
-   	"name": "JSON",
-   	"description": "Javascript lightweight data-interchange format.",
+   	"name": "JSON Parser",
+   	"description": "Douglas Crockford's public domain JSON parser.",
 	"files": "json2.js"
 }}
Index: src/webapp/lib/fastXmlPull/fastXmlPullDependencies.json
===================================================================
--- src/webapp/lib/fastXmlPull/fastXmlPullDependencies.json	(revision 8863)
+++ src/webapp/lib/fastXmlPull/fastXmlPullDependencies.json	(working copy)
@@ -1,5 +1,5 @@
-{"fastXmlPull": {
+{"XML for Script's Fast XML Pull Parser": {
    	"name": "fastXmlPull",
-   	"description": "A fast xml pull parser.",
+   	"description": "A fast XML pull parser based on source code from the XML for Script project. Used by the Renderer to parse templates.",
 	"files": "fastXmlPull.js"
 }}
Index: src/webapp/framework/renderer/rendererDependencies.json
===================================================================
--- src/webapp/framework/renderer/rendererDependencies.json	(revision 8863)
+++ src/webapp/framework/renderer/rendererDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"renderer": {
   	"name": "Renderer",
-   	"description": "Allows users to create user interface templates in pure HTML, and render the pages entirely on the client side.",
+   	"description": "Dynamically renders HTML templates on the client-side, without requiring you to mix your code and markup together.",
 	"files": ["fluidParser.js", "fluidRenderer.js"],
 	"dependencies": ["jQuery", "framework", "fastXmlPull"]
 }}
Index: src/webapp/framework/core/frameworkDependencies.json
===================================================================
--- src/webapp/framework/core/frameworkDependencies.json	(revision 8863)
+++ src/webapp/framework/core/frameworkDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"framework": {
-   	"name": "Fluid Infusion Framework",
-   	"description": "The core of the Fluid Infusion framework. Required for all Fluid components",
+   	"name": "Infusion Framework Core",
+   	"description": "A suite of core Infusion framework features, including support for events, views, data binding, and keyboard accessibility. Required by all Fluid components.",
 	"files": ["Fluid.js", "FluidDOMUtilities.js", "DataBinding.js", "jquery.keyboard-a11y.js"],
 	"dependencies": ["jQuery", "jQueryUICore", "jQueryDelegatePlugin"]
 }}
Index: src/webapp/framework/fss/fssTextDependencies.json
===================================================================
--- src/webapp/framework/fss/fssTextDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssTextDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssText": {
-   	"name": "Text",
-   	"description": "Classes for text, headers, spacing and sizes.",
+   	"name": "Fluid Skinning System: Text",
+   	"description": "CSS classes for controlling text size, spacing, size, and fonts.",
 	"cssFiles": "fss-text.css"
 }}
Index: src/webapp/framework/fss/fssThemesDependencies.json
===================================================================
--- src/webapp/framework/fss/fssThemesDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssThemesDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssThemes": {
-   	"name": "Themes",
-   	"description": "Colour schemes for basic markup and widgets.",
+   	"name": "Fluid Skinning System: Themes",
+   	"description": "Swappable CSS themes and colour schemes for the Fluid Skinning System.",
    	"cssFiles": ["fss-theme-coal.css", "fss-theme-debug.css", "fss-theme-hc.css", "fss-theme-hci.css", "fss-theme-mist.css", "fss-theme-rust.css", "fss-theme-slate.css"]
 }}
Index: src/webapp/framework/fss/fssLayoutDependencies.json
===================================================================
--- src/webapp/framework/fss/fssLayoutDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssLayoutDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssLayout": {
-	"name": "Layout",
-   	"description": "Provides css classes for layout and convenience classes for widgets.",
+	"name": "Fluid Skinning System: Layout",
+   	"description": "Provides convenient CSS classes for designing multi-column layouts, widgets, and more.",
 	"cssFiles": "fss-layout.css"
 }}
Index: src/webapp/framework/fss/fssDependencies.json
===================================================================
--- src/webapp/framework/fss/fssDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fss": {
    "name": "Fluid Skinning System",
-   "description": "A modular CSS framework, which allows you to add, remove, and mix classes to get the desired effect.",
+   "description": "A modular, pure CSS framework for rapid styling. This package includes all FSS modules, including Reset, Layout, Text, and Themes.",
    "dependencies": ["fssReset", "fssLayout", "fssText", "fssThemes"]
 }}
Index: src/webapp/framework/fss/fssResetDependencies.json
===================================================================
--- src/webapp/framework/fss/fssResetDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssResetDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"fssReset": {
-   	"name": "Reset",
-   	"description": "A css reset file based on the YUI reset.",
+   	"name": "Fluid Skinning System: Reset",
+   	"description": "Provides an easy way to normalize visual CSS discrepancies between browsers.",
 	"cssFiles": "fss-reset.css"
 }}
 
